# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

accountbook_menu_item = items.MenuItem(
    # GENERAL
    _('Accountbook'), 
    reverse('admin:app_list', kwargs={'app_label': 'accountbook'}),
    children=[
        items.MenuItem(
            _('Accountbook'),
            '',
            children=[
                items.MenuItem(_('Add Accountbook'), reverse('admin:accountbook_accountbook_add',)), 
                items.MenuItem(_('Accountbook List'), reverse('admin:accountbook_accountbook_changelist',)),
            ]
        ),
    ]
)


register_menu(accountbook_menu_item, 'jmb.accountbook')